import{s as et,n as tt,o as nt}from"../chunks/scheduler.6062bdaf.js";import{S as ot,i as it,g as o,s as a,u as b,A as at,h as i,f as t,c as r,j as m,v as y,y as d,k as s,o as n,a as c,w as $,d as C,t as T,x as N}from"../chunks/index.7658fce3.js";import{D as Q}from"../chunks/Docstring.5ab7be14.js";import{I as De}from"../chunks/IconCopyLink.d844a6a2.js";function rt(ze){let h,ie,W,ae,f,w,ee,k,ye,H,Se="Configuration classes for TFLite export",re,g,O,te,q,$e,R,Ie="Base classes",se,l,P,Ce,U,Me="Base class for TFLite exportable model describing metadata on how to export the model through the TFLite format.",Te,G,Ve="Class attributes:",Ne,j,He=`<li><p>NORMALIZED_CONFIG_CLASS (<code>Type</code>) — A class derived from <a href="/docs/optimum/main/en/utils/normalized_config#optimum.utils.NormalizedConfig">NormalizedConfig</a> specifying how to
normalize the model config.</p></li> <li><p>DUMMY_INPUT_GENERATOR_CLASSES (<code>Tuple[Type]</code>) — A tuple of classes derived from
<a href="/docs/optimum/main/en/utils/dummy_input_generators#optimum.utils.DummyInputGenerator">DummyInputGenerator</a> specifying how to create dummy inputs.</p></li> <li><p>ATOL_FOR_VALIDATION (<code>Union[float, Dict[str, float]]</code>) — A float or a dictionary mapping task names to float,
where the float values represent the absolute tolerance value to use during model conversion validation.</p></li> <li><p>MANDATORY_AXES (<code>Tuple[Union[str, Tuple[Union[str, Tuple[str]]]]]</code>) — A tuple where each element is either:</p> <ul><li>An axis  name, for instance “batch_size” or “sequence_length”, that indicates that the axis dimension is
needed to export the model,</li> <li>Or a tuple containing two elements:<ul><li>The first one is either a string or a tuple of strings and specifies for which task(s) the axis is needed</li> <li>The second one is the axis name.</li></ul></li></ul> <p>For example: <code>MANDATORY_AXES = (&quot;batch_size&quot;, &quot;sequence_length&quot;, (&quot;multiple-choice&quot;, &quot;num_choices&quot;))</code> means that
to export the model, the batch size and sequence length values always need to be specified, and that a value
for the number of possible choices is needed when the task is multiple-choice.</p></li>`,we,L,D,Oe,B,Re="List containing the names of the inputs the exported model should take.",Le,A,z,Ae,Y,Ue="List containing the names of the outputs the exported model should have.",Ee,E,S,Fe,X,Ge=`Generates dummy inputs that the exported model should be able to process.
This method is actually used to determine the input specs that are needed for the export.`,le,v,F,ne,I,ke,J,je="Middle-end classes",pe,_,M,qe,Z,Be="Handles encoder-based text architectures.",me,x,V,Pe,K,Ye="Handles vision architectures.",ce,oe,ue;return k=new De({}),q=new De({}),P=new Q({props:{name:"class optimum.exporters.tflite.TFLiteConfig",anchor:"optimum.exporters.tflite.TFLiteConfig",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str"},{name:"batch_size",val:": int = 1"},{name:"sequence_length",val:": typing.Optional[int] = None"},{name:"num_choices",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"},{name:"height",val:": typing.Optional[int] = None"},{name:"num_channels",val:": typing.Optional[int] = None"},{name:"feature_size",val:": typing.Optional[int] = None"},{name:"nb_max_frames",val:": typing.Optional[int] = None"},{name:"audio_sequence_length",val:": typing.Optional[int] = None"},{name:"point_batch_size",val:": typing.Optional[int] = None"},{name:"nb_points_per_image",val:": typing.Optional[int] = None"}],parametersDescription:[{anchor:"optimum.exporters.tflite.TFLiteConfig.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014;
The model configuration.`,name:"config"},{anchor:"optimum.exporters.tflite.TFLiteConfig.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;feature-extraction&quot;</code>) &#x2014;
The task the model should be exported for.`,name:"task"},{anchor:"optimum.exporters.tflite.TFLiteConfig.The",description:"<strong>The</strong> rest of the arguments are used to specify the shape of the inputs the model can take. &#x2014;",name:"The"},{anchor:"optimum.exporters.tflite.TFLiteConfig.They",description:"<strong>They</strong> are required or not depending on the model the <code>TFLiteConfig</code> is designed for. &#x2014;",name:"They"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/exporters/tflite/base.py#L118"}}),D=new Q({props:{name:"inputs",anchor:"optimum.exporters.tflite.TFLiteConfig.inputs",parameters:[],source:"https://github.com/huggingface/optimum/blob/main/optimum/exporters/tflite/base.py#L282",returnDescription:`
<p>A list of input names.</p>
`,returnType:`
<p><code>List[str]</code></p>
`}}),z=new Q({props:{name:"outputs",anchor:"optimum.exporters.tflite.TFLiteConfig.outputs",parameters:[],source:"https://github.com/huggingface/optimum/blob/main/optimum/exporters/tflite/base.py#L293",returnDescription:`
<p>A list of output names.</p>
`,returnType:`
<p><code>List[str]</code></p>
`}}),S=new Q({props:{name:"generate_dummy_inputs",anchor:"optimum.exporters.tflite.TFLiteConfig.generate_dummy_inputs",parameters:[],source:"https://github.com/huggingface/optimum/blob/main/optimum/exporters/tflite/base.py#L303",returnDescription:`
<p>A dictionary mapping input names to dummy tensors.</p>
`,returnType:`
<p><code>Dict[str, tf.Tensor]</code></p>
`}}),I=new De({}),M=new Q({props:{name:"class optimum.exporters.tflite.config.TextEncoderTFliteConfig",anchor:"optimum.exporters.tflite.config.TextEncoderTFliteConfig",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str"},{name:"batch_size",val:": int = 1"},{name:"sequence_length",val:": typing.Optional[int] = None"},{name:"num_choices",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"},{name:"height",val:": typing.Optional[int] = None"},{name:"num_channels",val:": typing.Optional[int] = None"},{name:"feature_size",val:": typing.Optional[int] = None"},{name:"nb_max_frames",val:": typing.Optional[int] = None"},{name:"audio_sequence_length",val:": typing.Optional[int] = None"},{name:"point_batch_size",val:": typing.Optional[int] = None"},{name:"nb_points_per_image",val:": typing.Optional[int] = None"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/exporters/tflite/config.py#L27"}}),V=new Q({props:{name:"class optimum.exporters.tflite.config.VisionTFLiteConfig",anchor:"optimum.exporters.tflite.config.VisionTFLiteConfig",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str"},{name:"batch_size",val:": int = 1"},{name:"sequence_length",val:": typing.Optional[int] = None"},{name:"num_choices",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"},{name:"height",val:": typing.Optional[int] = None"},{name:"num_channels",val:": typing.Optional[int] = None"},{name:"feature_size",val:": typing.Optional[int] = None"},{name:"nb_max_frames",val:": typing.Optional[int] = None"},{name:"audio_sequence_length",val:": typing.Optional[int] = None"},{name:"point_batch_size",val:": typing.Optional[int] = None"},{name:"nb_points_per_image",val:": typing.Optional[int] = None"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/exporters/tflite/config.py#L36"}}),{c(){h=o("meta"),ie=a(),W=o("p"),ae=a(),f=o("h1"),w=o("a"),ee=o("span"),b(k.$$.fragment),ye=a(),H=o("span"),H.textContent=Se,re=a(),g=o("h2"),O=o("a"),te=o("span"),b(q.$$.fragment),$e=a(),R=o("span"),R.textContent=Ie,se=a(),l=o("div"),b(P.$$.fragment),Ce=a(),U=o("p"),U.textContent=Me,Te=a(),G=o("p"),G.textContent=Ve,Ne=a(),j=o("ul"),j.innerHTML=He,we=a(),L=o("div"),b(D.$$.fragment),Oe=a(),B=o("p"),B.textContent=Re,Le=a(),A=o("div"),b(z.$$.fragment),Ae=a(),Y=o("p"),Y.textContent=Ue,Ee=a(),E=o("div"),b(S.$$.fragment),Fe=a(),X=o("p"),X.textContent=Ge,le=a(),v=o("h2"),F=o("a"),ne=o("span"),b(I.$$.fragment),ke=a(),J=o("span"),J.textContent=je,pe=a(),_=o("div"),b(M.$$.fragment),qe=a(),Z=o("p"),Z.textContent=Be,me=a(),x=o("div"),b(V.$$.fragment),Pe=a(),K=o("p"),K.textContent=Ye,ce=a(),oe=o("p"),this.h()},l(e){const p=at("svelte-1phssyn",document.head);h=i(p,"META",{name:!0,content:!0}),p.forEach(t),ie=r(e),W=i(e,"P",{}),m(W).forEach(t),ae=r(e),f=i(e,"H1",{class:!0});var de=m(f);w=i(de,"A",{id:!0,class:!0,href:!0});var Xe=m(w);ee=i(Xe,"SPAN",{});var Je=m(ee);y(k.$$.fragment,Je),Je.forEach(t),Xe.forEach(t),ye=r(de),H=i(de,"SPAN",{"data-svelte-h":!0}),d(H)!=="svelte-fbz2xu"&&(H.textContent=Se),de.forEach(t),re=r(e),g=i(e,"H2",{class:!0});var he=m(g);O=i(he,"A",{id:!0,class:!0,href:!0});var Ze=m(O);te=i(Ze,"SPAN",{});var Ke=m(te);y(q.$$.fragment,Ke),Ke.forEach(t),Ze.forEach(t),$e=r(he),R=i(he,"SPAN",{"data-svelte-h":!0}),d(R)!=="svelte-kuv5qq"&&(R.textContent=Ie),he.forEach(t),se=r(e),l=i(e,"DIV",{class:!0});var u=m(l);y(P.$$.fragment,u),Ce=r(u),U=i(u,"P",{"data-svelte-h":!0}),d(U)!=="svelte-1jfshjd"&&(U.textContent=Me),Te=r(u),G=i(u,"P",{"data-svelte-h":!0}),d(G)!=="svelte-wz8va1"&&(G.textContent=Ve),Ne=r(u),j=i(u,"UL",{"data-svelte-h":!0}),d(j)!=="svelte-broqpr"&&(j.innerHTML=He),we=r(u),L=i(u,"DIV",{class:!0});var fe=m(L);y(D.$$.fragment,fe),Oe=r(fe),B=i(fe,"P",{"data-svelte-h":!0}),d(B)!=="svelte-cpn9v5"&&(B.textContent=Re),fe.forEach(t),Le=r(u),A=i(u,"DIV",{class:!0});var ge=m(A);y(z.$$.fragment,ge),Ae=r(ge),Y=i(ge,"P",{"data-svelte-h":!0}),d(Y)!=="svelte-1bc7bh9"&&(Y.textContent=Ue),ge.forEach(t),Ee=r(u),E=i(u,"DIV",{class:!0});var ve=m(E);y(S.$$.fragment,ve),Fe=r(ve),X=i(ve,"P",{"data-svelte-h":!0}),d(X)!=="svelte-13849rf"&&(X.textContent=Ge),ve.forEach(t),u.forEach(t),le=r(e),v=i(e,"H2",{class:!0});var _e=m(v);F=i(_e,"A",{id:!0,class:!0,href:!0});var Qe=m(F);ne=i(Qe,"SPAN",{});var We=m(ne);y(I.$$.fragment,We),We.forEach(t),Qe.forEach(t),ke=r(_e),J=i(_e,"SPAN",{"data-svelte-h":!0}),d(J)!=="svelte-tmz6ke"&&(J.textContent=je),_e.forEach(t),pe=r(e),_=i(e,"DIV",{class:!0});var xe=m(_);y(M.$$.fragment,xe),qe=r(xe),Z=i(xe,"P",{"data-svelte-h":!0}),d(Z)!=="svelte-sreje6"&&(Z.textContent=Be),xe.forEach(t),me=r(e),x=i(e,"DIV",{class:!0});var be=m(x);y(V.$$.fragment,be),Pe=r(be),K=i(be,"P",{"data-svelte-h":!0}),d(K)!=="svelte-10ord85"&&(K.textContent=Ye),be.forEach(t),ce=r(e),oe=i(e,"P",{}),m(oe).forEach(t),this.h()},h(){s(h,"name","hf:doc:metadata"),s(h,"content",JSON.stringify(st)),s(w,"id","configuration-classes-for-tflite-export"),s(w,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(w,"href","#configuration-classes-for-tflite-export"),s(f,"class","relative group"),s(O,"id","optimum.exporters.tflite.TFLiteConfig"),s(O,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(O,"href","#optimum.exporters.tflite.TFLiteConfig"),s(g,"class","relative group"),s(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(l,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(F,"id","optimum.exporters.tflite.config.TextEncoderTFliteConfig"),s(F,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(F,"href","#optimum.exporters.tflite.config.TextEncoderTFliteConfig"),s(v,"class","relative group"),s(_,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,p){n(document.head,h),c(e,ie,p),c(e,W,p),c(e,ae,p),c(e,f,p),n(f,w),n(w,ee),$(k,ee,null),n(f,ye),n(f,H),c(e,re,p),c(e,g,p),n(g,O),n(O,te),$(q,te,null),n(g,$e),n(g,R),c(e,se,p),c(e,l,p),$(P,l,null),n(l,Ce),n(l,U),n(l,Te),n(l,G),n(l,Ne),n(l,j),n(l,we),n(l,L),$(D,L,null),n(L,Oe),n(L,B),n(l,Le),n(l,A),$(z,A,null),n(A,Ae),n(A,Y),n(l,Ee),n(l,E),$(S,E,null),n(E,Fe),n(E,X),c(e,le,p),c(e,v,p),n(v,F),n(F,ne),$(I,ne,null),n(v,ke),n(v,J),c(e,pe,p),c(e,_,p),$(M,_,null),n(_,qe),n(_,Z),c(e,me,p),c(e,x,p),$(V,x,null),n(x,Pe),n(x,K),c(e,ce,p),c(e,oe,p),ue=!0},p:tt,i(e){ue||(C(k.$$.fragment,e),C(q.$$.fragment,e),C(P.$$.fragment,e),C(D.$$.fragment,e),C(z.$$.fragment,e),C(S.$$.fragment,e),C(I.$$.fragment,e),C(M.$$.fragment,e),C(V.$$.fragment,e),ue=!0)},o(e){T(k.$$.fragment,e),T(q.$$.fragment,e),T(P.$$.fragment,e),T(D.$$.fragment,e),T(z.$$.fragment,e),T(S.$$.fragment,e),T(I.$$.fragment,e),T(M.$$.fragment,e),T(V.$$.fragment,e),ue=!1},d(e){e&&(t(ie),t(W),t(ae),t(f),t(re),t(g),t(se),t(l),t(le),t(v),t(pe),t(_),t(me),t(x),t(ce),t(oe)),t(h),N(k),N(q),N(P),N(D),N(z),N(S),N(I),N(M),N(V)}}}const st={local:"configuration-classes-for-tflite-export",sections:[{local:"optimum.exporters.tflite.TFLiteConfig",title:"Base classes"},{local:"optimum.exporters.tflite.config.TextEncoderTFliteConfig",title:"Middle-end classes"}],title:"Configuration classes for TFLite export"};function lt(ze){return nt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class dt extends ot{constructor(h){super(),it(this,h,lt,rt,et,{})}}export{dt as component};
