import{s as zn,o as An,n as In}from"../chunks/scheduler.6062bdaf.js";import{S as Mn,i as Un,g as n,s as r,u as g,A as En,h as a,f as o,c as i,j as s,v as _,y as p,k as l,o as t,a as u,w as h,d as v,t as f,x as y}from"../chunks/index.7658fce3.js";import{T as Hn}from"../chunks/Tip.616c3b1d.js";import{D as x}from"../chunks/Docstring.5ab7be14.js";import{I as Ye}from"../chunks/IconCopyLink.d844a6a2.js";function Vn(Ke){let b,j=`If your predictions or labels have different sequence length (for instance because you’re doing dynamic padding
in a token classification task) the predictions will be padded (on the right) to allow for concatenation into
one array. The padding index is -100.`;return{c(){b=n("p"),b.textContent=j},l(w){b=a(w,"P",{"data-svelte-h":!0}),p(b)!=="svelte-vq7haq"&&(b.textContent=j)},m(w,_e){u(w,b,_e)},p:In,d(w){w&&o(b)}}}function Wn(Ke){let b,j,w,_e,D,P,We,B,ft,he,Zt="Trainer",Qe,C,L,Xe,G,yt,ve,en="ORTTrainer",Ze,m,J,bt,fe,tn="ORTTrainer is a simple but feature-complete training and eval loop for ONNX Runtime, optimized for 🤗 Transformers.",Tt,ye,nn="Important attributes:",xt,be,an=`<li><strong>model</strong> — Always points to the core model. If using a transformers model, it will be a <a href="https://huggingface.co/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel" rel="nofollow">PreTrainedModel</a>
subclass.</li> <li><strong>model_wrapped</strong> — Always points to the most external model in case one or more other modules wrap the
original model. This is the model that should be used for the forward pass. For example, under <code>DeepSpeed</code>,
the inner model is first wrapped in <code>ORTModule</code> and then in <code>DeepSpeed</code> and then again in
<code>torch.nn.DistributedDataParallel</code>. If the inner model hasn’t been wrapped, then <code>self.model_wrapped</code> is the
same as <code>self.model</code>.</li> <li><strong>is_model_parallel</strong> — Whether or not a model has been switched to a model parallel mode (different from
data parallelism, this means some of the model layers are split on different GPUs).</li> <li><strong>place_model_on_device</strong> — Whether or not to automatically place the model on the device - it will be set
to <code>False</code> if model parallel or deepspeed is used, or if the default
<code>ORTTrainingArguments.place_model_on_device</code> is overridden to return <code>False</code> .</li> <li><strong>is_in_train</strong> — Whether or not a model is currently running <code>train</code> (e.g. when <code>evaluate</code> is called while
in <code>train</code>)</li>`,Ot,z,Y,wt,Te,on=`How the loss is computed by ORTTrainer. By default, all models return the loss in the first element.
Subclass and override for custom behavior.`,$t,k,K,kt,xe,rn="Setup the optimizer.",Nt,Oe,ln=`We provide a reasonable default that works well. If you want to use something else, you can pass a tuple in the
ORTTrainer’s init through <code>optimizers</code>, or subclass and override this method in a subclass.`,Rt,A,Q,Dt,we,sn="Run evaluation with ONNX Runtime or PyTorch backend and returns metrics.",Ct,N,Z,Ft,$e,mn="Prediction/evaluation loop, shared by <code>ORTTrainer.evaluate()</code> and <code>ORTTrainer.predict()</code>.",St,ke,dn="Works both with or without labels.",qt,I,ee,Pt,Ne,pn="Returns the optimizer class and optimizer parameters implemented in ONNX Runtime based on <code>ORTTrainingArguments</code>.",Lt,R,te,zt,Re,cn="Prediction/evaluation loop, shared by <code>ORTTrainer.evaluate()</code> and <code>ORTTrainer.predict()</code>.",At,De,un="Works both with or without labels.",It,M,ne,Mt,Ce,gn="Perform an evaluation step on <code>model</code> using <code>inputs</code>.",Ut,U,ae,Et,Fe,_n="Main entry point for training with ONNX Runtime accelerator.",et,F,E,je,oe,Ht,Se,hn="ORTSeq2SeqTrainer",tt,$,re,Vt,H,ie,Wt,qe,vn="Run evaluation with ONNX Runtime or PyTorch backend and returns metrics.",Xt,T,le,jt,Pe,fn="Run prediction and returns predictions and potential metrics.",Bt,Le,yn=`Depending on the dataset and your use case, your test dataset may contain labels. In that case, this method
will also return metrics, like in <code>evaluate()</code>.`,Gt,V,Jt,ze,bn="Returns: <em>NamedTuple</em> A namedtuple with the following keys:",Yt,Ae,Tn=`<li>predictions (<code>np.ndarray</code>): The predictions on <code>test_dataset</code>.</li> <li>label_ids (<code>np.ndarray</code>, <em>optional</em>): The labels (if the dataset contained some).</li> <li>metrics (<code>Dict[str, float]</code>, <em>optional</em>): The potential dictionary of metrics (if the dataset contained
labels).</li>`,nt,S,W,Be,se,Kt,Ie,xn="ORTTrainingArguments",at,me,de,ot,q,X,Ge,pe,Qt,Me,On="ORTSeq2SeqTrainingArguments",rt,ce,ue,it,Je,lt;return B=new Ye({}),G=new Ye({}),J=new x({props:{name:"class optimum.onnxruntime.ORTTrainer",anchor:"optimum.onnxruntime.ORTTrainer",parameters:[{name:"model",val:": typing.Union[transformers.modeling_utils.PreTrainedModel, torch.nn.modules.module.Module] = None"},{name:"tokenizer",val:": typing.Optional[transformers.tokenization_utils_base.PreTrainedTokenizerBase] = None"},{name:"feature",val:": str = 'feature-extraction'"},{name:"args",val:": ORTTrainingArguments = None"},{name:"data_collator",val:": typing.Optional[DataCollator] = None"},{name:"train_dataset",val:": typing.Optional[torch.utils.data.dataset.Dataset] = None"},{name:"eval_dataset",val:": typing.Union[torch.utils.data.dataset.Dataset, typing.Dict[str, torch.utils.data.dataset.Dataset], NoneType] = None"},{name:"model_init",val:": typing.Union[typing.Callable[[], transformers.modeling_utils.PreTrainedModel], NoneType] = None"},{name:"compute_metrics",val:": typing.Union[typing.Callable[[transformers.trainer_utils.EvalPrediction], typing.Dict], NoneType] = None"},{name:"callbacks",val:": typing.Optional[typing.List[transformers.trainer_callback.TrainerCallback]] = None"},{name:"optimizers",val:": typing.Tuple[torch.optim.optimizer.Optimizer, torch.optim.lr_scheduler.LambdaLR] = (None, None)"},{name:"preprocess_logits_for_metrics",val:": typing.Union[typing.Callable[[torch.Tensor, torch.Tensor], torch.Tensor], NoneType] = None"},{name:"onnx_model_path",val:": typing.Union[str, os.PathLike] = None"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTTrainer.model",description:`<strong>model</strong> (<a href="https://huggingface.co/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel" rel="nofollow">PreTrainedModel</a> or <code>torch.nn.Module</code>, <em>optional</em>) &#x2014;
The model to train, evaluate or use for predictions. If not provided, a <code>model_init</code> must be passed.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p><code>ORTTrainer</code> is optimized to work with the <a href="https://huggingface.co/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel" rel="nofollow">PreTrainedModel</a> provided by the transformers library.
You can still use your own models defined as <code>torch.nn.Module</code> for training with ONNX Runtime backend
and inference with PyTorch backend as long as they work the same way as the &#x1F917; Transformers models.</p>

					</div>`,name:"model"},{anchor:"optimum.onnxruntime.ORTTrainer.args",description:`<strong>args</strong> (<code>ORTTrainingArguments</code>, <em>optional</em>) &#x2014;
The arguments to tweak for training. Will default to a basic instance of <code>ORTTrainingArguments</code> with the
<code>output_dir</code> set to a directory named <em>tmp_trainer</em> in the current directory if not provided.`,name:"args"},{anchor:"optimum.onnxruntime.ORTTrainer.data_collator",description:`<strong>data_collator</strong> (<code>DataCollator</code>, <em>optional</em>) &#x2014;
The function to use to form a batch from a list of elements of <code>train_dataset</code> or <code>eval_dataset</code>. Will
default to <a href="https://huggingface.co/docs/transformers/main/en/main_classes/data_collator#transformers.default_data_collator" rel="nofollow">default_data_collator</a> if no <code>tokenizer</code> is provided, an instance of
<a href="https://huggingface.co/docs/transformers/main/en/main_classes/data_collator#transformers.DataCollatorWithPadding" rel="nofollow">DataCollatorWithPadding</a> otherwise.`,name:"data_collator"},{anchor:"optimum.onnxruntime.ORTTrainer.train_dataset",description:`<strong>train_dataset</strong> (<code>torch.utils.data.Dataset</code> or <code>torch.utils.data.IterableDataset</code>, <em>optional</em>) &#x2014;
The dataset to use for training. If it is a <a href="https://huggingface.co/docs/datasets/main/en/package_reference/main_classes#datasets.Dataset" rel="nofollow">Dataset</a>, columns not accepted by the
<code>model.forward()</code> method are automatically removed.
Note that if it&#x2019;s a <code>torch.utils.data.IterableDataset</code> with some randomization and you are training in a
distributed fashion, your iterable dataset should either use a internal attribute <code>generator</code> that is a
<code>torch.Generator</code> for the randomization that must be identical on all processes (and the ORTTrainer will
manually set the seed of this <code>generator</code> at each epoch) or have a <code>set_epoch()</code> method that internally
sets the seed of the RNGs used.`,name:"train_dataset"},{anchor:"optimum.onnxruntime.ORTTrainer.eval_dataset",description:`<strong>eval_dataset</strong> (Union[<code>torch.utils.data.Dataset</code>, Dict[str, <code>torch.utils.data.Dataset</code>]), <em>optional</em>) &#x2014;
The dataset to use for evaluation. If it is a <a href="https://huggingface.co/docs/datasets/main/en/package_reference/main_classes#datasets.Dataset" rel="nofollow">Dataset</a>, columns not accepted by the
<code>model.forward()</code> method are automatically removed. If it is a dictionary, it will evaluate on each
dataset prepending the dictionary key to the metric name.`,name:"eval_dataset"},{anchor:"optimum.onnxruntime.ORTTrainer.tokenizer",description:`<strong>tokenizer</strong> (<a href="https://huggingface.co/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase" rel="nofollow">PreTrainedTokenizerBase</a>, <em>optional</em>) &#x2014;
The tokenizer used to preprocess the data. If provided, will be used to automatically pad the inputs the
maximum length when batching inputs, and it will be saved along the model to make it easier to rerun an
interrupted training or reuse the fine-tuned model.`,name:"tokenizer"},{anchor:"optimum.onnxruntime.ORTTrainer.model_init",description:`<strong>model_init</strong> (<code>Callable[[], PreTrainedModel]</code>, <em>optional</em>) &#x2014;
A function that instantiates the model to be used. If provided, each call to <code>ORTTrainer.train</code> will start
from a new instance of the model as given by this function.
The function may have zero argument, or a single one containing the optuna/Ray Tune/SigOpt trial object, to
be able to choose different architectures according to hyper parameters (such as layer count, sizes of
inner layers, dropout probabilities etc).`,name:"model_init"},{anchor:"optimum.onnxruntime.ORTTrainer.compute_metrics",description:`<strong>compute_metrics</strong> (<code>Callable[[EvalPrediction], Dict]</code>, <em>optional</em>) &#x2014;
The function that will be used to compute metrics at evaluation. Must take a <code>EvalPrediction</code> and return
a dictionary string to metric values.`,name:"compute_metrics"},{anchor:"optimum.onnxruntime.ORTTrainer.callbacks",description:`<strong>callbacks</strong> (List of <code>TrainerCallback</code>, <em>optional</em>) &#x2014;
A list of callbacks to customize the training loop. Will add those to the list of default callbacks
detailed in <a href="callback">here</a>.
If you want to remove one of the default callbacks used, use the <code>ORTTrainer.remove_callback</code> method.`,name:"callbacks"},{anchor:"optimum.onnxruntime.ORTTrainer.optimizers",description:`<strong>optimizers</strong> (<code>Tuple[torch.optim.Optimizer, torch.optim.lr_scheduler.LambdaLR]</code>, <em>optional</em>) &#x2014; A tuple
containing the optimizer and the scheduler to use. Will default to an instance of <code>AdamW</code> on your model
and a scheduler given by <code>get_linear_schedule_with_warmup</code> controlled by <code>args</code>.`,name:"optimizers"},{anchor:"optimum.onnxruntime.ORTTrainer.preprocess_logits_for_metrics",description:`<strong>preprocess_logits_for_metrics</strong> (<code>Callable[[torch.Tensor, torch.Tensor], torch.Tensor]</code>, <em>optional</em>) &#x2014;
A function that preprocess the logits right before caching them at each evaluation step. Must take two
tensors, the logits and the labels, and return the logits once processed as desired. The modifications made
by this function will be reflected in the predictions received by <code>compute_metrics</code>.
Note that the labels (second parameter) will be <code>None</code> if the dataset does not have them.`,name:"preprocess_logits_for_metrics"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/trainer.py#L219"}}),Y=new x({props:{name:"compute_loss_ort",anchor:"optimum.onnxruntime.ORTTrainer.compute_loss_ort",parameters:[{name:"model",val:""},{name:"inputs",val:""},{name:"return_outputs",val:" = False"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/trainer.py#L1548"}}),K=new x({props:{name:"create_optimizer",anchor:"optimum.onnxruntime.ORTTrainer.create_optimizer",parameters:[],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/trainer.py#L1781"}}),Q=new x({props:{name:"evaluate",anchor:"optimum.onnxruntime.ORTTrainer.evaluate",parameters:[{name:"eval_dataset",val:": typing.Optional[torch.utils.data.dataset.Dataset] = None"},{name:"ignore_keys",val:": typing.Optional[typing.List[str]] = None"},{name:"metric_key_prefix",val:": str = 'eval'"},{name:"inference_with_ort",val:": bool = False"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTTrainer.evaluate.eval_dataset",description:`<strong>eval_dataset</strong> (<code>Dataset</code>, <em>optional</em>) &#x2014;
Pass a dataset if you wish to override <code>self.eval_dataset</code>. If it is a <a href="https://huggingface.co/docs/datasets/main/en/package_reference/main_classes#datasets.Dataset" rel="nofollow">Dataset</a>, columns
not accepted by the <code>model.forward()</code> method are automatically removed. It must implement the <code>__len__</code>
method.`,name:"eval_dataset"},{anchor:"optimum.onnxruntime.ORTTrainer.evaluate.ignore_keys",description:`<strong>ignore_keys</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
A list of keys in the output of your model (if it is a dictionary) that should be ignored when
gathering predictions.`,name:"ignore_keys"},{anchor:"optimum.onnxruntime.ORTTrainer.evaluate.metric_key_prefix",description:`<strong>metric_key_prefix</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;eval&quot;</code>) &#x2014;
An optional prefix to be used as the metrics key prefix. For example the metrics &#x201C;bleu&#x201D; will be named
&#x201C;eval_bleu&#x201D; if the prefix is &#x201C;eval&#x201D; (default)`,name:"metric_key_prefix"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/trainer.py#L904",returnDescription:`
<p>A dictionary containing the evaluation loss and the potential metrics computed from the predictions. The
dictionary also contains the epoch number which comes from the training state.</p>
`}}),Z=new x({props:{name:"evaluation_loop_ort",anchor:"optimum.onnxruntime.ORTTrainer.evaluation_loop_ort",parameters:[{name:"dataloader",val:": DataLoader"},{name:"description",val:": str"},{name:"prediction_loss_only",val:": typing.Optional[bool] = None"},{name:"ignore_keys",val:": typing.Optional[typing.List[str]] = None"},{name:"metric_key_prefix",val:": str = 'eval'"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/trainer.py#L1072"}}),ee=new x({props:{name:"get_ort_optimizer_cls_and_kwargs",anchor:"optimum.onnxruntime.ORTTrainer.get_ort_optimizer_cls_and_kwargs",parameters:[{name:"args",val:": ORTTrainingArguments"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTTrainer.get_ort_optimizer_cls_and_kwargs.args",description:`<strong>args</strong> (<code>ORTTrainingArguments</code>) &#x2014;
The training arguments for the training session.`,name:"args"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/trainer.py#L1838"}}),te=new x({props:{name:"prediction_loop_ort",anchor:"optimum.onnxruntime.ORTTrainer.prediction_loop_ort",parameters:[{name:"dataloader",val:": DataLoader"},{name:"description",val:": str"},{name:"prediction_loss_only",val:": typing.Optional[bool] = None"},{name:"ignore_keys",val:": typing.Optional[typing.List[str]] = None"},{name:"metric_key_prefix",val:": str = 'eval'"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/trainer.py#L1294"}}),ne=new x({props:{name:"prediction_step_ort",anchor:"optimum.onnxruntime.ORTTrainer.prediction_step_ort",parameters:[{name:"model",val:": ORTModel"},{name:"inputs",val:": typing.Dict[str, typing.Union[torch.Tensor, typing.Any]]"},{name:"prediction_loss_only",val:": bool"},{name:"ignore_keys",val:": typing.Optional[typing.List[str]] = None"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTTrainer.prediction_step_ort.model",description:`<strong>model</strong> (<code>ORTModel</code>) &#x2014;
The model to evaluate.`,name:"model"},{anchor:"optimum.onnxruntime.ORTTrainer.prediction_step_ort.inputs",description:`<strong>inputs</strong> (<code>Dict[str, Union[torch.Tensor, Any]]</code>) &#x2014;
The inputs and targets of the model.</p>
<p>The dictionary will be unpacked before being fed to the model. Most models expect the targets under the
argument <code>labels</code>. Check your model&#x2019;s documentation for all accepted arguments.`,name:"inputs"},{anchor:"optimum.onnxruntime.ORTTrainer.prediction_step_ort.prediction_loss_only",description:`<strong>prediction_loss_only</strong> (<code>bool</code>) &#x2014;
Whether or not to return the loss only.`,name:"prediction_loss_only"},{anchor:"optimum.onnxruntime.ORTTrainer.prediction_step_ort.ignore_keys",description:`<strong>ignore_keys</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
A list of keys in the output of your model (if it is a dictionary) that should be ignored when
gathering predictions.`,name:"ignore_keys"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/trainer.py#L1459",returnDescription:`
<p>A tuple with the loss,
logits and labels (each being optional).</p>
`,returnType:`
<p>Tuple[Optional[torch.Tensor], Optional[torch.Tensor], Optional[torch.Tensor]]</p>
`}}),ae=new x({props:{name:"train",anchor:"optimum.onnxruntime.ORTTrainer.train",parameters:[{name:"resume_from_checkpoint",val:": typing.Union[bool, str, NoneType] = None"},{name:"trial",val:": typing.Union[ForwardRef('optuna.Trial'), typing.Dict[str, typing.Any]] = None"},{name:"ignore_keys_for_eval",val:": typing.Optional[typing.List[str]] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTTrainer.train.resume_from_checkpoint",description:`<strong>resume_from_checkpoint</strong> (<code>str</code> or <code>bool</code>, <em>optional</em>) &#x2014;
If a <code>str</code>, local path to a saved checkpoint as saved by a previous instance of <code>ORTTrainer</code>. If a
<code>bool</code> and equals <code>True</code>, load the last checkpoint in <em>args.output_dir</em> as saved by a previous instance
of <code>ORTTrainer</code>. If present, training will resume from the model/optimizer/scheduler states loaded here.`,name:"resume_from_checkpoint"},{anchor:"optimum.onnxruntime.ORTTrainer.train.trial",description:`<strong>trial</strong> (<code>optuna.Trial</code> or <code>Dict[str, Any]</code>, <em>optional</em>) &#x2014;
The trial run or the hyperparameter dictionary for hyperparameter search.`,name:"trial"},{anchor:"optimum.onnxruntime.ORTTrainer.train.ignore_keys_for_eval",description:`<strong>ignore_keys_for_eval</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
A list of keys in the output of your model (if it is a dictionary) that should be ignored when
gathering predictions for evaluation during the training.`,name:"ignore_keys_for_eval"},{anchor:"optimum.onnxruntime.ORTTrainer.train.kwargs",description:`<strong>kwargs</strong> (<code>Dict[str, Any]</code>, <em>optional</em>) &#x2014;
Additional keyword arguments used to hide deprecated arguments`,name:"kwargs"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/trainer.py#L375"}}),oe=new Ye({}),re=new x({props:{name:"class optimum.onnxruntime.ORTSeq2SeqTrainer",anchor:"optimum.onnxruntime.ORTSeq2SeqTrainer",parameters:[{name:"model",val:": typing.Union[transformers.modeling_utils.PreTrainedModel, torch.nn.modules.module.Module] = None"},{name:"tokenizer",val:": typing.Optional[transformers.tokenization_utils_base.PreTrainedTokenizerBase] = None"},{name:"feature",val:": str = 'feature-extraction'"},{name:"args",val:": ORTTrainingArguments = None"},{name:"data_collator",val:": typing.Optional[DataCollator] = None"},{name:"train_dataset",val:": typing.Optional[torch.utils.data.dataset.Dataset] = None"},{name:"eval_dataset",val:": typing.Union[torch.utils.data.dataset.Dataset, typing.Dict[str, torch.utils.data.dataset.Dataset], NoneType] = None"},{name:"model_init",val:": typing.Union[typing.Callable[[], transformers.modeling_utils.PreTrainedModel], NoneType] = None"},{name:"compute_metrics",val:": typing.Union[typing.Callable[[transformers.trainer_utils.EvalPrediction], typing.Dict], NoneType] = None"},{name:"callbacks",val:": typing.Optional[typing.List[transformers.trainer_callback.TrainerCallback]] = None"},{name:"optimizers",val:": typing.Tuple[torch.optim.optimizer.Optimizer, torch.optim.lr_scheduler.LambdaLR] = (None, None)"},{name:"preprocess_logits_for_metrics",val:": typing.Union[typing.Callable[[torch.Tensor, torch.Tensor], torch.Tensor], NoneType] = None"},{name:"onnx_model_path",val:": typing.Union[str, os.PathLike] = None"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/trainer_seq2seq.py#L54"}}),ie=new x({props:{name:"evaluate",anchor:"optimum.onnxruntime.ORTSeq2SeqTrainer.evaluate",parameters:[{name:"eval_dataset",val:": typing.Optional[torch.utils.data.dataset.Dataset] = None"},{name:"ignore_keys",val:": typing.Optional[typing.List[str]] = None"},{name:"metric_key_prefix",val:": str = 'eval'"},{name:"inference_with_ort",val:": bool = False"},{name:"**gen_kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTSeq2SeqTrainer.evaluate.eval_dataset",description:`<strong>eval_dataset</strong> (<code>Dataset</code>, <em>optional</em>) &#x2014;
Pass a dataset if you wish to override <code>self.eval_dataset</code>. If it is a <a href="https://huggingface.co/docs/datasets/main/en/package_reference/main_classes#datasets.Dataset" rel="nofollow">Dataset</a>, columns
not accepted by the <code>model.forward()</code> method are automatically removed. It must implement the <code>__len__</code>
method.`,name:"eval_dataset"},{anchor:"optimum.onnxruntime.ORTSeq2SeqTrainer.evaluate.ignore_keys",description:`<strong>ignore_keys</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
A list of keys in the output of your model (if it is a dictionary) that should be ignored when
gathering predictions.`,name:"ignore_keys"},{anchor:"optimum.onnxruntime.ORTSeq2SeqTrainer.evaluate.metric_key_prefix",description:`<strong>metric_key_prefix</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;eval&quot;</code>) &#x2014;
An optional prefix to be used as the metrics key prefix. For example the metrics &#x201C;bleu&#x201D; will be named
&#x201C;eval_bleu&#x201D; if the prefix is &#x201C;eval&#x201D; (default)`,name:"metric_key_prefix"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/trainer_seq2seq.py#L55",returnDescription:`
<p>A dictionary containing the evaluation loss and the potential metrics computed from the predictions. The
dictionary also contains the epoch number which comes from the training state.</p>
`}}),le=new x({props:{name:"predict",anchor:"optimum.onnxruntime.ORTSeq2SeqTrainer.predict",parameters:[{name:"test_dataset",val:": Dataset"},{name:"ignore_keys",val:": typing.Optional[typing.List[str]] = None"},{name:"metric_key_prefix",val:": str = 'eval'"},{name:"inference_with_ort",val:": bool = False"},{name:"**gen_kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTSeq2SeqTrainer.predict.test_dataset",description:`<strong>test_dataset</strong> (<code>Dataset</code>) &#x2014;
Dataset to run the predictions on. If it is an <code>datasets.Dataset</code>, columns not accepted by the
<code>model.forward()</code> method are automatically removed. Has to implement the method <code>__len__</code>`,name:"test_dataset"},{anchor:"optimum.onnxruntime.ORTSeq2SeqTrainer.predict.ignore_keys",description:`<strong>ignore_keys</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
A list of keys in the output of your model (if it is a dictionary) that should be ignored when
gathering predictions.`,name:"ignore_keys"},{anchor:"optimum.onnxruntime.ORTSeq2SeqTrainer.predict.metric_key_prefix",description:`<strong>metric_key_prefix</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;test&quot;</code>) &#x2014;
An optional prefix to be used as the metrics key prefix. For example the metrics &#x201C;bleu&#x201D; will be named
&#x201C;test_bleu&#x201D; if the prefix is &#x201C;test&#x201D; (default)`,name:"metric_key_prefix"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/trainer_seq2seq.py#L98"}}),V=new Hn({props:{$$slots:{default:[Vn]},$$scope:{ctx:Ke}}}),se=new Ye({}),de=new x({props:{name:"class optimum.onnxruntime.ORTTrainingArguments",anchor:"optimum.onnxruntime.ORTTrainingArguments",parameters:[{name:"output_dir",val:": str"},{name:"overwrite_output_dir",val:": bool = False"},{name:"do_train",val:": bool = False"},{name:"do_eval",val:": bool = False"},{name:"do_predict",val:": bool = False"},{name:"evaluation_strategy",val:": typing.Union[transformers.trainer_utils.IntervalStrategy, str] = 'no'"},{name:"prediction_loss_only",val:": bool = False"},{name:"per_device_train_batch_size",val:": int = 8"},{name:"per_device_eval_batch_size",val:": int = 8"},{name:"per_gpu_train_batch_size",val:": typing.Optional[int] = None"},{name:"per_gpu_eval_batch_size",val:": typing.Optional[int] = None"},{name:"gradient_accumulation_steps",val:": int = 1"},{name:"eval_accumulation_steps",val:": typing.Optional[int] = None"},{name:"eval_delay",val:": typing.Optional[float] = 0"},{name:"learning_rate",val:": float = 5e-05"},{name:"weight_decay",val:": float = 0.0"},{name:"adam_beta1",val:": float = 0.9"},{name:"adam_beta2",val:": float = 0.999"},{name:"adam_epsilon",val:": float = 1e-08"},{name:"max_grad_norm",val:": float = 1.0"},{name:"num_train_epochs",val:": float = 3.0"},{name:"max_steps",val:": int = -1"},{name:"lr_scheduler_type",val:": typing.Union[transformers.trainer_utils.SchedulerType, str] = 'linear'"},{name:"warmup_ratio",val:": float = 0.0"},{name:"warmup_steps",val:": int = 0"},{name:"log_level",val:": typing.Optional[str] = 'passive'"},{name:"log_level_replica",val:": typing.Optional[str] = 'warning'"},{name:"log_on_each_node",val:": bool = True"},{name:"logging_dir",val:": typing.Optional[str] = None"},{name:"logging_strategy",val:": typing.Union[transformers.trainer_utils.IntervalStrategy, str] = 'steps'"},{name:"logging_first_step",val:": bool = False"},{name:"logging_steps",val:": float = 500"},{name:"logging_nan_inf_filter",val:": bool = True"},{name:"save_strategy",val:": typing.Union[transformers.trainer_utils.IntervalStrategy, str] = 'steps'"},{name:"save_steps",val:": float = 500"},{name:"save_total_limit",val:": typing.Optional[int] = None"},{name:"save_safetensors",val:": typing.Optional[bool] = False"},{name:"save_on_each_node",val:": bool = False"},{name:"no_cuda",val:": bool = False"},{name:"use_cpu",val:": bool = False"},{name:"use_mps_device",val:": bool = False"},{name:"seed",val:": int = 42"},{name:"data_seed",val:": typing.Optional[int] = None"},{name:"jit_mode_eval",val:": bool = False"},{name:"use_ipex",val:": bool = False"},{name:"bf16",val:": bool = False"},{name:"fp16",val:": bool = False"},{name:"fp16_opt_level",val:": str = 'O1'"},{name:"half_precision_backend",val:": str = 'auto'"},{name:"bf16_full_eval",val:": bool = False"},{name:"fp16_full_eval",val:": bool = False"},{name:"tf32",val:": typing.Optional[bool] = None"},{name:"local_rank",val:": int = -1"},{name:"ddp_backend",val:": typing.Optional[str] = None"},{name:"tpu_num_cores",val:": typing.Optional[int] = None"},{name:"tpu_metrics_debug",val:": bool = False"},{name:"debug",val:": typing.Union[str, typing.List[transformers.debug_utils.DebugOption]] = ''"},{name:"dataloader_drop_last",val:": bool = False"},{name:"eval_steps",val:": typing.Optional[float] = None"},{name:"dataloader_num_workers",val:": int = 0"},{name:"past_index",val:": int = -1"},{name:"run_name",val:": typing.Optional[str] = None"},{name:"disable_tqdm",val:": typing.Optional[bool] = None"},{name:"remove_unused_columns",val:": typing.Optional[bool] = True"},{name:"label_names",val:": typing.Optional[typing.List[str]] = None"},{name:"load_best_model_at_end",val:": typing.Optional[bool] = False"},{name:"metric_for_best_model",val:": typing.Optional[str] = None"},{name:"greater_is_better",val:": typing.Optional[bool] = None"},{name:"ignore_data_skip",val:": bool = False"},{name:"sharded_ddp",val:": typing.Union[typing.List[transformers.trainer_utils.ShardedDDPOption], str, NoneType] = ''"},{name:"fsdp",val:": typing.Union[typing.List[transformers.trainer_utils.FSDPOption], str, NoneType] = ''"},{name:"fsdp_min_num_params",val:": int = 0"},{name:"fsdp_config",val:": typing.Optional[str] = None"},{name:"fsdp_transformer_layer_cls_to_wrap",val:": typing.Optional[str] = None"},{name:"deepspeed",val:": typing.Optional[str] = None"},{name:"label_smoothing_factor",val:": float = 0.0"},{name:"optim",val:": typing.Optional[str] = 'adamw_hf'"},{name:"optim_args",val:": typing.Optional[str] = None"},{name:"adafactor",val:": bool = False"},{name:"group_by_length",val:": bool = False"},{name:"length_column_name",val:": typing.Optional[str] = 'length'"},{name:"report_to",val:": typing.Optional[typing.List[str]] = None"},{name:"ddp_find_unused_parameters",val:": typing.Optional[bool] = None"},{name:"ddp_bucket_cap_mb",val:": typing.Optional[int] = None"},{name:"ddp_broadcast_buffers",val:": typing.Optional[bool] = None"},{name:"dataloader_pin_memory",val:": bool = True"},{name:"skip_memory_metrics",val:": bool = True"},{name:"use_legacy_prediction_loop",val:": bool = False"},{name:"push_to_hub",val:": bool = False"},{name:"resume_from_checkpoint",val:": typing.Optional[str] = None"},{name:"hub_model_id",val:": typing.Optional[str] = None"},{name:"hub_strategy",val:": typing.Union[transformers.trainer_utils.HubStrategy, str] = 'every_save'"},{name:"hub_token",val:": typing.Optional[str] = None"},{name:"hub_private_repo",val:": bool = False"},{name:"hub_always_push",val:": bool = False"},{name:"gradient_checkpointing",val:": bool = False"},{name:"include_inputs_for_metrics",val:": bool = False"},{name:"fp16_backend",val:": str = 'auto'"},{name:"push_to_hub_model_id",val:": typing.Optional[str] = None"},{name:"push_to_hub_organization",val:": typing.Optional[str] = None"},{name:"push_to_hub_token",val:": typing.Optional[str] = None"},{name:"mp_parameters",val:": str = ''"},{name:"auto_find_batch_size",val:": bool = False"},{name:"full_determinism",val:": bool = False"},{name:"torchdynamo",val:": typing.Optional[str] = None"},{name:"ray_scope",val:": typing.Optional[str] = 'last'"},{name:"ddp_timeout",val:": typing.Optional[int] = 1800"},{name:"torch_compile",val:": bool = False"},{name:"torch_compile_backend",val:": typing.Optional[str] = None"},{name:"torch_compile_mode",val:": typing.Optional[str] = None"},{name:"dispatch_batches",val:": typing.Optional[bool] = None"},{name:"use_module_with_loss",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTTrainingArguments.optim",description:`<strong>optim</strong> (<code>str</code> or <code>training_args.ORTOptimizerNames</code> or <code>transformers.training_args.OptimizerNames</code>, <em>optional</em>, defaults to <code>&quot;adamw_hf&quot;</code>) &#x2014;
The optimizer to use, including optimizers in Transformers: adamw_hf, adamw_torch, adamw_apex_fused, or adafactor. And optimizers implemented by ONNX Runtime: adamw_ort_fused.`,name:"optim"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/training_args.py#L60"}}),pe=new Ye({}),ue=new x({props:{name:"class optimum.onnxruntime.ORTSeq2SeqTrainingArguments",anchor:"optimum.onnxruntime.ORTSeq2SeqTrainingArguments",parameters:[{name:"output_dir",val:": str"},{name:"overwrite_output_dir",val:": bool = False"},{name:"do_train",val:": bool = False"},{name:"do_eval",val:": bool = False"},{name:"do_predict",val:": bool = False"},{name:"evaluation_strategy",val:": typing.Union[transformers.trainer_utils.IntervalStrategy, str] = 'no'"},{name:"prediction_loss_only",val:": bool = False"},{name:"per_device_train_batch_size",val:": int = 8"},{name:"per_device_eval_batch_size",val:": int = 8"},{name:"per_gpu_train_batch_size",val:": typing.Optional[int] = None"},{name:"per_gpu_eval_batch_size",val:": typing.Optional[int] = None"},{name:"gradient_accumulation_steps",val:": int = 1"},{name:"eval_accumulation_steps",val:": typing.Optional[int] = None"},{name:"eval_delay",val:": typing.Optional[float] = 0"},{name:"learning_rate",val:": float = 5e-05"},{name:"weight_decay",val:": float = 0.0"},{name:"adam_beta1",val:": float = 0.9"},{name:"adam_beta2",val:": float = 0.999"},{name:"adam_epsilon",val:": float = 1e-08"},{name:"max_grad_norm",val:": float = 1.0"},{name:"num_train_epochs",val:": float = 3.0"},{name:"max_steps",val:": int = -1"},{name:"lr_scheduler_type",val:": typing.Union[transformers.trainer_utils.SchedulerType, str] = 'linear'"},{name:"warmup_ratio",val:": float = 0.0"},{name:"warmup_steps",val:": int = 0"},{name:"log_level",val:": typing.Optional[str] = 'passive'"},{name:"log_level_replica",val:": typing.Optional[str] = 'warning'"},{name:"log_on_each_node",val:": bool = True"},{name:"logging_dir",val:": typing.Optional[str] = None"},{name:"logging_strategy",val:": typing.Union[transformers.trainer_utils.IntervalStrategy, str] = 'steps'"},{name:"logging_first_step",val:": bool = False"},{name:"logging_steps",val:": float = 500"},{name:"logging_nan_inf_filter",val:": bool = True"},{name:"save_strategy",val:": typing.Union[transformers.trainer_utils.IntervalStrategy, str] = 'steps'"},{name:"save_steps",val:": float = 500"},{name:"save_total_limit",val:": typing.Optional[int] = None"},{name:"save_safetensors",val:": typing.Optional[bool] = False"},{name:"save_on_each_node",val:": bool = False"},{name:"no_cuda",val:": bool = False"},{name:"use_cpu",val:": bool = False"},{name:"use_mps_device",val:": bool = False"},{name:"seed",val:": int = 42"},{name:"data_seed",val:": typing.Optional[int] = None"},{name:"jit_mode_eval",val:": bool = False"},{name:"use_ipex",val:": bool = False"},{name:"bf16",val:": bool = False"},{name:"fp16",val:": bool = False"},{name:"fp16_opt_level",val:": str = 'O1'"},{name:"half_precision_backend",val:": str = 'auto'"},{name:"bf16_full_eval",val:": bool = False"},{name:"fp16_full_eval",val:": bool = False"},{name:"tf32",val:": typing.Optional[bool] = None"},{name:"local_rank",val:": int = -1"},{name:"ddp_backend",val:": typing.Optional[str] = None"},{name:"tpu_num_cores",val:": typing.Optional[int] = None"},{name:"tpu_metrics_debug",val:": bool = False"},{name:"debug",val:": typing.Union[str, typing.List[transformers.debug_utils.DebugOption]] = ''"},{name:"dataloader_drop_last",val:": bool = False"},{name:"eval_steps",val:": typing.Optional[float] = None"},{name:"dataloader_num_workers",val:": int = 0"},{name:"past_index",val:": int = -1"},{name:"run_name",val:": typing.Optional[str] = None"},{name:"disable_tqdm",val:": typing.Optional[bool] = None"},{name:"remove_unused_columns",val:": typing.Optional[bool] = True"},{name:"label_names",val:": typing.Optional[typing.List[str]] = None"},{name:"load_best_model_at_end",val:": typing.Optional[bool] = False"},{name:"metric_for_best_model",val:": typing.Optional[str] = None"},{name:"greater_is_better",val:": typing.Optional[bool] = None"},{name:"ignore_data_skip",val:": bool = False"},{name:"sharded_ddp",val:": typing.Union[typing.List[transformers.trainer_utils.ShardedDDPOption], str, NoneType] = ''"},{name:"fsdp",val:": typing.Union[typing.List[transformers.trainer_utils.FSDPOption], str, NoneType] = ''"},{name:"fsdp_min_num_params",val:": int = 0"},{name:"fsdp_config",val:": typing.Optional[str] = None"},{name:"fsdp_transformer_layer_cls_to_wrap",val:": typing.Optional[str] = None"},{name:"deepspeed",val:": typing.Optional[str] = None"},{name:"label_smoothing_factor",val:": float = 0.0"},{name:"optim",val:": typing.Optional[str] = 'adamw_hf'"},{name:"optim_args",val:": typing.Optional[str] = None"},{name:"adafactor",val:": bool = False"},{name:"group_by_length",val:": bool = False"},{name:"length_column_name",val:": typing.Optional[str] = 'length'"},{name:"report_to",val:": typing.Optional[typing.List[str]] = None"},{name:"ddp_find_unused_parameters",val:": typing.Optional[bool] = None"},{name:"ddp_bucket_cap_mb",val:": typing.Optional[int] = None"},{name:"ddp_broadcast_buffers",val:": typing.Optional[bool] = None"},{name:"dataloader_pin_memory",val:": bool = True"},{name:"skip_memory_metrics",val:": bool = True"},{name:"use_legacy_prediction_loop",val:": bool = False"},{name:"push_to_hub",val:": bool = False"},{name:"resume_from_checkpoint",val:": typing.Optional[str] = None"},{name:"hub_model_id",val:": typing.Optional[str] = None"},{name:"hub_strategy",val:": typing.Union[transformers.trainer_utils.HubStrategy, str] = 'every_save'"},{name:"hub_token",val:": typing.Optional[str] = None"},{name:"hub_private_repo",val:": bool = False"},{name:"hub_always_push",val:": bool = False"},{name:"gradient_checkpointing",val:": bool = False"},{name:"include_inputs_for_metrics",val:": bool = False"},{name:"fp16_backend",val:": str = 'auto'"},{name:"push_to_hub_model_id",val:": typing.Optional[str] = None"},{name:"push_to_hub_organization",val:": typing.Optional[str] = None"},{name:"push_to_hub_token",val:": typing.Optional[str] = None"},{name:"mp_parameters",val:": str = ''"},{name:"auto_find_batch_size",val:": bool = False"},{name:"full_determinism",val:": bool = False"},{name:"torchdynamo",val:": typing.Optional[str] = None"},{name:"ray_scope",val:": typing.Optional[str] = 'last'"},{name:"ddp_timeout",val:": typing.Optional[int] = 1800"},{name:"torch_compile",val:": bool = False"},{name:"torch_compile_backend",val:": typing.Optional[str] = None"},{name:"torch_compile_mode",val:": typing.Optional[str] = None"},{name:"dispatch_batches",val:": typing.Optional[bool] = None"},{name:"use_module_with_loss",val:": typing.Optional[bool] = False"},{name:"sortish_sampler",val:": bool = False"},{name:"predict_with_generate",val:": bool = False"},{name:"generation_max_length",val:": typing.Optional[int] = None"},{name:"generation_num_beams",val:": typing.Optional[int] = None"},{name:"generation_config",val:": typing.Union[str, pathlib.Path, transformers.generation.configuration_utils.GenerationConfig, NoneType] = None"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTSeq2SeqTrainingArguments.optim",description:`<strong>optim</strong> (<code>str</code> or <code>training_args.ORTOptimizerNames</code> or <code>transformers.training_args.OptimizerNames</code>, <em>optional</em>, defaults to <code>&quot;adamw_hf&quot;</code>) &#x2014;
The optimizer to use, including optimizers in Transformers: adamw_hf, adamw_torch, adamw_apex_fused, or adafactor. And optimizers implemented by ONNX Runtime: adamw_ort_fused.`,name:"optim"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/training_args_seq2seq.py#L24"}}),{c(){b=n("meta"),j=r(),w=n("p"),_e=r(),D=n("h1"),P=n("a"),We=n("span"),g(B.$$.fragment),ft=r(),he=n("span"),he.textContent=Zt,Qe=r(),C=n("h2"),L=n("a"),Xe=n("span"),g(G.$$.fragment),yt=r(),ve=n("span"),ve.textContent=en,Ze=r(),m=n("div"),g(J.$$.fragment),bt=r(),fe=n("p"),fe.textContent=tn,Tt=r(),ye=n("p"),ye.textContent=nn,xt=r(),be=n("ul"),be.innerHTML=an,Ot=r(),z=n("div"),g(Y.$$.fragment),wt=r(),Te=n("p"),Te.textContent=on,$t=r(),k=n("div"),g(K.$$.fragment),kt=r(),xe=n("p"),xe.textContent=rn,Nt=r(),Oe=n("p"),Oe.innerHTML=ln,Rt=r(),A=n("div"),g(Q.$$.fragment),Dt=r(),we=n("p"),we.textContent=sn,Ct=r(),N=n("div"),g(Z.$$.fragment),Ft=r(),$e=n("p"),$e.innerHTML=mn,St=r(),ke=n("p"),ke.textContent=dn,qt=r(),I=n("div"),g(ee.$$.fragment),Pt=r(),Ne=n("p"),Ne.innerHTML=pn,Lt=r(),R=n("div"),g(te.$$.fragment),zt=r(),Re=n("p"),Re.innerHTML=cn,At=r(),De=n("p"),De.textContent=un,It=r(),M=n("div"),g(ne.$$.fragment),Mt=r(),Ce=n("p"),Ce.innerHTML=gn,Ut=r(),U=n("div"),g(ae.$$.fragment),Et=r(),Fe=n("p"),Fe.textContent=_n,et=r(),F=n("h2"),E=n("a"),je=n("span"),g(oe.$$.fragment),Ht=r(),Se=n("span"),Se.textContent=hn,tt=r(),$=n("div"),g(re.$$.fragment),Vt=r(),H=n("div"),g(ie.$$.fragment),Wt=r(),qe=n("p"),qe.textContent=vn,Xt=r(),T=n("div"),g(le.$$.fragment),jt=r(),Pe=n("p"),Pe.textContent=fn,Bt=r(),Le=n("p"),Le.innerHTML=yn,Gt=r(),g(V.$$.fragment),Jt=r(),ze=n("p"),ze.innerHTML=bn,Yt=r(),Ae=n("ul"),Ae.innerHTML=Tn,nt=r(),S=n("h2"),W=n("a"),Be=n("span"),g(se.$$.fragment),Kt=r(),Ie=n("span"),Ie.textContent=xn,at=r(),me=n("div"),g(de.$$.fragment),ot=r(),q=n("h2"),X=n("a"),Ge=n("span"),g(pe.$$.fragment),Qt=r(),Me=n("span"),Me.textContent=On,rt=r(),ce=n("div"),g(ue.$$.fragment),it=r(),Je=n("p"),this.h()},l(e){const d=En("svelte-1phssyn",document.head);b=a(d,"META",{name:!0,content:!0}),d.forEach(o),j=i(e),w=a(e,"P",{}),s(w).forEach(o),_e=i(e),D=a(e,"H1",{class:!0});var ge=s(D);P=a(ge,"A",{id:!0,class:!0,href:!0});var wn=s(P);We=a(wn,"SPAN",{});var $n=s(We);_(B.$$.fragment,$n),$n.forEach(o),wn.forEach(o),ft=i(ge),he=a(ge,"SPAN",{"data-svelte-h":!0}),p(he)!=="svelte-1db8bfa"&&(he.textContent=Zt),ge.forEach(o),Qe=i(e),C=a(e,"H2",{class:!0});var st=s(C);L=a(st,"A",{id:!0,class:!0,href:!0});var kn=s(L);Xe=a(kn,"SPAN",{});var Nn=s(Xe);_(G.$$.fragment,Nn),Nn.forEach(o),kn.forEach(o),yt=i(st),ve=a(st,"SPAN",{"data-svelte-h":!0}),p(ve)!=="svelte-2udbel"&&(ve.textContent=en),st.forEach(o),Ze=i(e),m=a(e,"DIV",{class:!0});var c=s(m);_(J.$$.fragment,c),bt=i(c),fe=a(c,"P",{"data-svelte-h":!0}),p(fe)!=="svelte-jjf2xa"&&(fe.textContent=tn),Tt=i(c),ye=a(c,"P",{"data-svelte-h":!0}),p(ye)!=="svelte-1tbd587"&&(ye.textContent=nn),xt=i(c),be=a(c,"UL",{"data-svelte-h":!0}),p(be)!=="svelte-1kbl5q5"&&(be.innerHTML=an),Ot=i(c),z=a(c,"DIV",{class:!0});var mt=s(z);_(Y.$$.fragment,mt),wt=i(mt),Te=a(mt,"P",{"data-svelte-h":!0}),p(Te)!=="svelte-1y2utno"&&(Te.textContent=on),mt.forEach(o),$t=i(c),k=a(c,"DIV",{class:!0});var Ue=s(k);_(K.$$.fragment,Ue),kt=i(Ue),xe=a(Ue,"P",{"data-svelte-h":!0}),p(xe)!=="svelte-1w438iv"&&(xe.textContent=rn),Nt=i(Ue),Oe=a(Ue,"P",{"data-svelte-h":!0}),p(Oe)!=="svelte-kb20jz"&&(Oe.innerHTML=ln),Ue.forEach(o),Rt=i(c),A=a(c,"DIV",{class:!0});var dt=s(A);_(Q.$$.fragment,dt),Dt=i(dt),we=a(dt,"P",{"data-svelte-h":!0}),p(we)!=="svelte-1t1bzr9"&&(we.textContent=sn),dt.forEach(o),Ct=i(c),N=a(c,"DIV",{class:!0});var Ee=s(N);_(Z.$$.fragment,Ee),Ft=i(Ee),$e=a(Ee,"P",{"data-svelte-h":!0}),p($e)!=="svelte-9nd1td"&&($e.innerHTML=mn),St=i(Ee),ke=a(Ee,"P",{"data-svelte-h":!0}),p(ke)!=="svelte-1tyo99t"&&(ke.textContent=dn),Ee.forEach(o),qt=i(c),I=a(c,"DIV",{class:!0});var pt=s(I);_(ee.$$.fragment,pt),Pt=i(pt),Ne=a(pt,"P",{"data-svelte-h":!0}),p(Ne)!=="svelte-1nfhf5p"&&(Ne.innerHTML=pn),pt.forEach(o),Lt=i(c),R=a(c,"DIV",{class:!0});var He=s(R);_(te.$$.fragment,He),zt=i(He),Re=a(He,"P",{"data-svelte-h":!0}),p(Re)!=="svelte-9nd1td"&&(Re.innerHTML=cn),At=i(He),De=a(He,"P",{"data-svelte-h":!0}),p(De)!=="svelte-1tyo99t"&&(De.textContent=un),He.forEach(o),It=i(c),M=a(c,"DIV",{class:!0});var ct=s(M);_(ne.$$.fragment,ct),Mt=i(ct),Ce=a(ct,"P",{"data-svelte-h":!0}),p(Ce)!=="svelte-1y56pc5"&&(Ce.innerHTML=gn),ct.forEach(o),Ut=i(c),U=a(c,"DIV",{class:!0});var ut=s(U);_(ae.$$.fragment,ut),Et=i(ut),Fe=a(ut,"P",{"data-svelte-h":!0}),p(Fe)!=="svelte-1g29yh0"&&(Fe.textContent=_n),ut.forEach(o),c.forEach(o),et=i(e),F=a(e,"H2",{class:!0});var gt=s(F);E=a(gt,"A",{id:!0,class:!0,href:!0});var Rn=s(E);je=a(Rn,"SPAN",{});var Dn=s(je);_(oe.$$.fragment,Dn),Dn.forEach(o),Rn.forEach(o),Ht=i(gt),Se=a(gt,"SPAN",{"data-svelte-h":!0}),p(Se)!=="svelte-y046uv"&&(Se.textContent=hn),gt.forEach(o),tt=i(e),$=a(e,"DIV",{class:!0});var Ve=s($);_(re.$$.fragment,Ve),Vt=i(Ve),H=a(Ve,"DIV",{class:!0});var _t=s(H);_(ie.$$.fragment,_t),Wt=i(_t),qe=a(_t,"P",{"data-svelte-h":!0}),p(qe)!=="svelte-1t1bzr9"&&(qe.textContent=vn),_t.forEach(o),Xt=i(Ve),T=a(Ve,"DIV",{class:!0});var O=s(T);_(le.$$.fragment,O),jt=i(O),Pe=a(O,"P",{"data-svelte-h":!0}),p(Pe)!=="svelte-1b6cpoy"&&(Pe.textContent=fn),Bt=i(O),Le=a(O,"P",{"data-svelte-h":!0}),p(Le)!=="svelte-o30dtk"&&(Le.innerHTML=yn),Gt=i(O),_(V.$$.fragment,O),Jt=i(O),ze=a(O,"P",{"data-svelte-h":!0}),p(ze)!=="svelte-1t1ea6f"&&(ze.innerHTML=bn),Yt=i(O),Ae=a(O,"UL",{"data-svelte-h":!0}),p(Ae)!=="svelte-15ctb4a"&&(Ae.innerHTML=Tn),O.forEach(o),Ve.forEach(o),nt=i(e),S=a(e,"H2",{class:!0});var ht=s(S);W=a(ht,"A",{id:!0,class:!0,href:!0});var Cn=s(W);Be=a(Cn,"SPAN",{});var Fn=s(Be);_(se.$$.fragment,Fn),Fn.forEach(o),Cn.forEach(o),Kt=i(ht),Ie=a(ht,"SPAN",{"data-svelte-h":!0}),p(Ie)!=="svelte-rz18n4"&&(Ie.textContent=xn),ht.forEach(o),at=i(e),me=a(e,"DIV",{class:!0});var Sn=s(me);_(de.$$.fragment,Sn),Sn.forEach(o),ot=i(e),q=a(e,"H2",{class:!0});var vt=s(q);X=a(vt,"A",{id:!0,class:!0,href:!0});var qn=s(X);Ge=a(qn,"SPAN",{});var Pn=s(Ge);_(pe.$$.fragment,Pn),Pn.forEach(o),qn.forEach(o),Qt=i(vt),Me=a(vt,"SPAN",{"data-svelte-h":!0}),p(Me)!=="svelte-189cr3c"&&(Me.textContent=On),vt.forEach(o),rt=i(e),ce=a(e,"DIV",{class:!0});var Ln=s(ce);_(ue.$$.fragment,Ln),Ln.forEach(o),it=i(e),Je=a(e,"P",{}),s(Je).forEach(o),this.h()},h(){l(b,"name","hf:doc:metadata"),l(b,"content",JSON.stringify(Xn)),l(P,"id","trainer"),l(P,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(P,"href","#trainer"),l(D,"class","relative group"),l(L,"id","optimum.onnxruntime.ORTTrainer"),l(L,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(L,"href","#optimum.onnxruntime.ORTTrainer"),l(C,"class","relative group"),l(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(m,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(E,"id","optimum.onnxruntime.ORTSeq2SeqTrainer"),l(E,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(E,"href","#optimum.onnxruntime.ORTSeq2SeqTrainer"),l(F,"class","relative group"),l(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(W,"id","optimum.onnxruntime.ORTTrainingArguments"),l(W,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(W,"href","#optimum.onnxruntime.ORTTrainingArguments"),l(S,"class","relative group"),l(me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(X,"id","optimum.onnxruntime.ORTSeq2SeqTrainingArguments"),l(X,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(X,"href","#optimum.onnxruntime.ORTSeq2SeqTrainingArguments"),l(q,"class","relative group"),l(ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,d){t(document.head,b),u(e,j,d),u(e,w,d),u(e,_e,d),u(e,D,d),t(D,P),t(P,We),h(B,We,null),t(D,ft),t(D,he),u(e,Qe,d),u(e,C,d),t(C,L),t(L,Xe),h(G,Xe,null),t(C,yt),t(C,ve),u(e,Ze,d),u(e,m,d),h(J,m,null),t(m,bt),t(m,fe),t(m,Tt),t(m,ye),t(m,xt),t(m,be),t(m,Ot),t(m,z),h(Y,z,null),t(z,wt),t(z,Te),t(m,$t),t(m,k),h(K,k,null),t(k,kt),t(k,xe),t(k,Nt),t(k,Oe),t(m,Rt),t(m,A),h(Q,A,null),t(A,Dt),t(A,we),t(m,Ct),t(m,N),h(Z,N,null),t(N,Ft),t(N,$e),t(N,St),t(N,ke),t(m,qt),t(m,I),h(ee,I,null),t(I,Pt),t(I,Ne),t(m,Lt),t(m,R),h(te,R,null),t(R,zt),t(R,Re),t(R,At),t(R,De),t(m,It),t(m,M),h(ne,M,null),t(M,Mt),t(M,Ce),t(m,Ut),t(m,U),h(ae,U,null),t(U,Et),t(U,Fe),u(e,et,d),u(e,F,d),t(F,E),t(E,je),h(oe,je,null),t(F,Ht),t(F,Se),u(e,tt,d),u(e,$,d),h(re,$,null),t($,Vt),t($,H),h(ie,H,null),t(H,Wt),t(H,qe),t($,Xt),t($,T),h(le,T,null),t(T,jt),t(T,Pe),t(T,Bt),t(T,Le),t(T,Gt),h(V,T,null),t(T,Jt),t(T,ze),t(T,Yt),t(T,Ae),u(e,nt,d),u(e,S,d),t(S,W),t(W,Be),h(se,Be,null),t(S,Kt),t(S,Ie),u(e,at,d),u(e,me,d),h(de,me,null),u(e,ot,d),u(e,q,d),t(q,X),t(X,Ge),h(pe,Ge,null),t(q,Qt),t(q,Me),u(e,rt,d),u(e,ce,d),h(ue,ce,null),u(e,it,d),u(e,Je,d),lt=!0},p(e,[d]){const ge={};d&2&&(ge.$$scope={dirty:d,ctx:e}),V.$set(ge)},i(e){lt||(v(B.$$.fragment,e),v(G.$$.fragment,e),v(J.$$.fragment,e),v(Y.$$.fragment,e),v(K.$$.fragment,e),v(Q.$$.fragment,e),v(Z.$$.fragment,e),v(ee.$$.fragment,e),v(te.$$.fragment,e),v(ne.$$.fragment,e),v(ae.$$.fragment,e),v(oe.$$.fragment,e),v(re.$$.fragment,e),v(ie.$$.fragment,e),v(le.$$.fragment,e),v(V.$$.fragment,e),v(se.$$.fragment,e),v(de.$$.fragment,e),v(pe.$$.fragment,e),v(ue.$$.fragment,e),lt=!0)},o(e){f(B.$$.fragment,e),f(G.$$.fragment,e),f(J.$$.fragment,e),f(Y.$$.fragment,e),f(K.$$.fragment,e),f(Q.$$.fragment,e),f(Z.$$.fragment,e),f(ee.$$.fragment,e),f(te.$$.fragment,e),f(ne.$$.fragment,e),f(ae.$$.fragment,e),f(oe.$$.fragment,e),f(re.$$.fragment,e),f(ie.$$.fragment,e),f(le.$$.fragment,e),f(V.$$.fragment,e),f(se.$$.fragment,e),f(de.$$.fragment,e),f(pe.$$.fragment,e),f(ue.$$.fragment,e),lt=!1},d(e){e&&(o(j),o(w),o(_e),o(D),o(Qe),o(C),o(Ze),o(m),o(et),o(F),o(tt),o($),o(nt),o(S),o(at),o(me),o(ot),o(q),o(rt),o(ce),o(it),o(Je)),o(b),y(B),y(G),y(J),y(Y),y(K),y(Q),y(Z),y(ee),y(te),y(ne),y(ae),y(oe),y(re),y(ie),y(le),y(V),y(se),y(de),y(pe),y(ue)}}}const Xn={local:"trainer",sections:[{local:"optimum.onnxruntime.ORTTrainer",title:"ORTTrainer"},{local:"optimum.onnxruntime.ORTSeq2SeqTrainer",title:"ORTSeq2SeqTrainer"},{local:"optimum.onnxruntime.ORTTrainingArguments",title:"ORTTrainingArguments"},{local:"optimum.onnxruntime.ORTSeq2SeqTrainingArguments",title:"ORTSeq2SeqTrainingArguments"}],title:"Trainer"};function jn(Ke){return An(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Qn extends Mn{constructor(b){super(),Un(this,b,jn,Wn,zn,{})}}export{Qn as component};
