import{s as rn,n as on,o as an}from"../chunks/scheduler.6062bdaf.js";import{S as mn,i as sn,g as r,s as a,u as c,A as un,h as o,f as e,c as i,j as p,v as g,y as h,k as s,o as n,a as u,w as f,d as v,t as _,x as y}from"../chunks/index.7658fce3.js";import{D as $}from"../chunks/Docstring.5ab7be14.js";import{I as qe}from"../chunks/IconCopyLink.d844a6a2.js";function pn(Ne){let x,kt,wt,qt,b,N,It,H,ie,mt,Pe="Dummy Input Generators",Nt,M,ze=`It is very common to have to generate dummy inputs to perform a task (tracing, exporting a model to some backend,
testing model outputs, etc). The goal of <a href="/docs/optimum/main/en/utils/dummy_input_generators#optimum.utils.DummyInputGenerator">DummyInputGenerator</a> classes is to make this
generation easy and re-usable.`,Pt,D,P,Gt,j,me,st,Ee="Base class",zt,l,B,se,ut,Le="Generates dummy inputs for the supported input names, in the requested framework.",ue,z,K,pe,pt,Ae="Concatenates inputs together.",le,E,J,de,lt,Ve="Generates a constant tensor.",ce,L,R,ge,dt,Ue="Generates the dummy input matching <code>input_name</code> for the requested framework.",he,A,F,fe,ct,Se="Pads an input either to the desired length, or by a padding length.",ve,V,Q,_e,gt,Oe="Generates a tensor of random floats in the [min_value, max_value) range.",ye,U,W,$e,ht,He="Generates a tensor of random integers in the [min_value, max_value) range.",xe,S,X,be,ft,Me="Checks whether the <code>DummyInputGenerator</code> supports the generation of the requested input.",Et,w,O,Tt,Y,De,vt,je="Existing dummy input generators",Lt,I,Z,we,_t,Be="Generates dummy encoder text inputs.",At,G,tt,Ie,yt,Ke="Generates dummy decoder text inputs.",Vt,T,et,Ge,$t,Je="Generates dummy past_key_values inputs.",Ut,C,nt,Te,xt,Re="Generates dummy past_key_values inputs for seq2seq architectures.",St,k,rt,Ce,bt,Fe="Generates dummy bbox inputs.",Ot,q,ot,ke,Dt,Qe="Generates dummy vision inputs.",Ht,at,it,Mt,Ct,jt;return H=new qe({}),j=new qe({}),B=new $({props:{name:"class optimum.utils.DummyInputGenerator",anchor:"optimum.utils.DummyInputGenerator",parameters:[],source:"https://github.com/huggingface/optimum/blob/main/optimum/utils/input_generators.py#L106"}}),K=new $({props:{name:"concat_inputs",anchor:"optimum.utils.DummyInputGenerator.concat_inputs",parameters:[{name:"inputs",val:""},{name:"dim",val:": int"}],parametersDescription:[{anchor:"optimum.utils.DummyInputGenerator.concat_inputs.dim",description:`<strong>dim</strong> (<code>int</code>) &#x2014;
The dimension along which to concatenate.`,name:"dim"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/utils/input_generators.py#L249",returnDescription:`
<p>The tensor of the concatenation.</p>
`}}),J=new $({props:{name:"constant_tensor",anchor:"optimum.utils.DummyInputGenerator.constant_tensor",parameters:[{name:"shape",val:": typing.List[int]"},{name:"value",val:": typing.Union[int, float] = 1"},{name:"dtype",val:": typing.Optional[typing.Any] = None"},{name:"framework",val:": str = 'pt'"}],parametersDescription:[{anchor:"optimum.utils.DummyInputGenerator.constant_tensor.shape",description:`<strong>shape</strong> (<code>List[int]</code>) &#x2014;
The shape of the constant tensor.`,name:"shape"},{anchor:"optimum.utils.DummyInputGenerator.constant_tensor.value",description:`<strong>value</strong> (<code>Union[int, float]</code>, defaults to 1) &#x2014;
The value to fill the constant tensor with.`,name:"value"},{anchor:"optimum.utils.DummyInputGenerator.constant_tensor.dtype",description:`<strong>dtype</strong> (<code>Optional[Any]</code>, defaults to <code>None</code>) &#x2014;
The dtype of the constant tensor.`,name:"dtype"},{anchor:"optimum.utils.DummyInputGenerator.constant_tensor.framework",description:`<strong>framework</strong> (<code>str</code>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The requested framework.`,name:"framework"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/utils/input_generators.py#L208",returnDescription:`
<p>A constant tensor in the requested framework.</p>
`}}),R=new $({props:{name:"generate",anchor:"optimum.utils.DummyInputGenerator.generate",parameters:[{name:"input_name",val:": str"},{name:"framework",val:": str = 'pt'"},{name:"int_dtype",val:": str = 'int64'"},{name:"float_dtype",val:": str = 'fp32'"}],parametersDescription:[{anchor:"optimum.utils.DummyInputGenerator.generate.input_name",description:`<strong>input_name</strong> (<code>str</code>) &#x2014;
The name of the input to generate.`,name:"input_name"},{anchor:"optimum.utils.DummyInputGenerator.generate.framework",description:`<strong>framework</strong> (<code>str</code>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The requested framework.`,name:"framework"},{anchor:"optimum.utils.DummyInputGenerator.generate.int_dtype",description:`<strong>int_dtype</strong> (<code>str</code>, defaults to <code>&quot;int64&quot;</code>) &#x2014;
The dtypes of generated integer tensors.`,name:"int_dtype"},{anchor:"optimum.utils.DummyInputGenerator.generate.float_dtype",description:`<strong>float_dtype</strong> (<code>str</code>, defaults to <code>&quot;fp32&quot;</code>) &#x2014;
The dtypes of generated float tensors.`,name:"float_dtype"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/utils/input_generators.py#L127",returnDescription:`
<p>A tensor in the requested framework of the input.</p>
`}}),F=new $({props:{name:"pad_input_on_dim",anchor:"optimum.utils.DummyInputGenerator.pad_input_on_dim",parameters:[{name:"input_",val:""},{name:"dim",val:": int"},{name:"desired_length",val:": typing.Optional[int] = None"},{name:"padding_length",val:": typing.Optional[int] = None"},{name:"value",val:": typing.Union[int, float] = 1"},{name:"dtype",val:": typing.Optional[typing.Any] = None"}],parametersDescription:[{anchor:"optimum.utils.DummyInputGenerator.pad_input_on_dim.dim",description:`<strong>dim</strong> (<code>int</code>) &#x2014;
The dimension along which to pad.`,name:"dim"},{anchor:"optimum.utils.DummyInputGenerator.pad_input_on_dim.desired_length",description:`<strong>desired_length</strong> (<code>Optional[int]</code>, defaults to <code>None</code>) &#x2014;
The desired length along the dimension after padding.`,name:"desired_length"},{anchor:"optimum.utils.DummyInputGenerator.pad_input_on_dim.padding_length",description:`<strong>padding_length</strong> (<code>Optional[int]</code>, defaults to <code>None</code>) &#x2014;
The length to pad along the dimension.`,name:"padding_length"},{anchor:"optimum.utils.DummyInputGenerator.pad_input_on_dim.value",description:`<strong>value</strong> (<code>Union[int, float]</code>, defaults to 1) &#x2014;
The value to use for padding.`,name:"value"},{anchor:"optimum.utils.DummyInputGenerator.pad_input_on_dim.dtype",description:`<strong>dtype</strong> (<code>Optional[Any]</code>, defaults to <code>None</code>) &#x2014;
The dtype of the padding.`,name:"dtype"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/utils/input_generators.py#L272",returnDescription:`
<p>The padded tensor.</p>
`}}),Q=new $({props:{name:"random_float_tensor",anchor:"optimum.utils.DummyInputGenerator.random_float_tensor",parameters:[{name:"shape",val:": typing.List[int]"},{name:"min_value",val:": float = 0"},{name:"max_value",val:": float = 1"},{name:"framework",val:": str = 'pt'"},{name:"dtype",val:": str = 'fp32'"}],parametersDescription:[{anchor:"optimum.utils.DummyInputGenerator.random_float_tensor.shape",description:`<strong>shape</strong> (<code>List[int]</code>) &#x2014;
The shape of the random tensor.`,name:"shape"},{anchor:"optimum.utils.DummyInputGenerator.random_float_tensor.min_value",description:`<strong>min_value</strong> (<code>float</code>, defaults to 0) &#x2014;
The minimum value allowed.`,name:"min_value"},{anchor:"optimum.utils.DummyInputGenerator.random_float_tensor.max_value",description:`<strong>max_value</strong> (<code>float</code>, defaults to 1) &#x2014;
The maximum value allowed.`,name:"max_value"},{anchor:"optimum.utils.DummyInputGenerator.random_float_tensor.framework",description:`<strong>framework</strong> (<code>str</code>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The requested framework.`,name:"framework"},{anchor:"optimum.utils.DummyInputGenerator.random_float_tensor.dtype",description:`<strong>dtype</strong> (<code>str</code>, defaults to <code>&quot;fp32&quot;</code>) &#x2014;
The dtype of the generated float tensor. Could be &#x201C;fp32&#x201D;, &#x201C;fp16&#x201D;, &#x201C;bf16&#x201D;.`,name:"dtype"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/utils/input_generators.py#L177",returnDescription:`
<p>A random tensor in the requested framework.</p>
`}}),W=new $({props:{name:"random_int_tensor",anchor:"optimum.utils.DummyInputGenerator.random_int_tensor",parameters:[{name:"shape",val:": typing.List[int]"},{name:"max_value",val:": int"},{name:"min_value",val:": int = 0"},{name:"framework",val:": str = 'pt'"},{name:"dtype",val:": str = 'int64'"}],parametersDescription:[{anchor:"optimum.utils.DummyInputGenerator.random_int_tensor.shape",description:`<strong>shape</strong> (<code>List[int]</code>) &#x2014;
The shape of the random tensor.`,name:"shape"},{anchor:"optimum.utils.DummyInputGenerator.random_int_tensor.max_value",description:`<strong>max_value</strong> (<code>int</code>) &#x2014;
The maximum value allowed.`,name:"max_value"},{anchor:"optimum.utils.DummyInputGenerator.random_int_tensor.min_value",description:`<strong>min_value</strong> (<code>int</code>, defaults to 0) &#x2014;
The minimum value allowed.`,name:"min_value"},{anchor:"optimum.utils.DummyInputGenerator.random_int_tensor.framework",description:`<strong>framework</strong> (<code>str</code>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The requested framework.`,name:"framework"},{anchor:"optimum.utils.DummyInputGenerator.random_int_tensor.dtype",description:`<strong>dtype</strong> (<code>str</code>, defaults to <code>&quot;int64&quot;</code>) &#x2014;
The dtype of the generated integer tensor. Could be &#x201C;int64&#x201D;, &#x201C;int32&#x201D;, &#x201C;int8&#x201D;.`,name:"dtype"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/utils/input_generators.py#L147",returnDescription:`
<p>A random tensor in the requested framework.</p>
`}}),X=new $({props:{name:"supports_input",anchor:"optimum.utils.DummyInputGenerator.supports_input",parameters:[{name:"input_name",val:": str"}],parametersDescription:[{anchor:"optimum.utils.DummyInputGenerator.supports_input.input_name",description:`<strong>input_name</strong> (<code>str</code>) &#x2014;
The name of the input to generate.`,name:"input_name"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/utils/input_generators.py#L113",returnDescription:`
<p>A boolean specifying whether the input is supported.</p>
`,returnType:`
<p><code>bool</code></p>
`}}),Y=new qe({}),Z=new $({props:{name:"class optimum.utils.DummyTextInputGenerator",anchor:"optimum.utils.DummyTextInputGenerator",parameters:[{name:"task",val:": str"},{name:"normalized_config",val:": NormalizedTextConfig"},{name:"batch_size",val:": int = 2"},{name:"sequence_length",val:": int = 16"},{name:"num_choices",val:": int = 4"},{name:"random_batch_size_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"random_sequence_length_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"random_num_choices_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/utils/input_generators.py#L318"}}),tt=new $({props:{name:"class optimum.utils.DummyDecoderTextInputGenerator",anchor:"optimum.utils.DummyDecoderTextInputGenerator",parameters:[{name:"task",val:": str"},{name:"normalized_config",val:": NormalizedTextConfig"},{name:"batch_size",val:": int = 2"},{name:"sequence_length",val:": int = 16"},{name:"num_choices",val:": int = 4"},{name:"random_batch_size_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"random_sequence_length_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"random_num_choices_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/utils/input_generators.py#L369"}}),et=new $({props:{name:"class optimum.utils.DummyPastKeyValuesGenerator",anchor:"optimum.utils.DummyPastKeyValuesGenerator",parameters:[{name:"task",val:": str"},{name:"normalized_config",val:": NormalizedTextConfig"},{name:"batch_size",val:": int = 2"},{name:"sequence_length",val:": int = 16"},{name:"random_batch_size_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"random_sequence_length_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/utils/input_generators.py#L429"}}),nt=new $({props:{name:"class optimum.utils.DummySeq2SeqPastKeyValuesGenerator",anchor:"optimum.utils.DummySeq2SeqPastKeyValuesGenerator",parameters:[{name:"task",val:": str"},{name:"normalized_config",val:": NormalizedSeq2SeqConfig"},{name:"batch_size",val:": int = 2"},{name:"sequence_length",val:": int = 16"},{name:"encoder_sequence_length",val:": typing.Optional[int] = None"},{name:"random_batch_size_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"random_sequence_length_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/utils/input_generators.py#L476"}}),rt=new $({props:{name:"class optimum.utils.DummyBboxInputGenerator",anchor:"optimum.utils.DummyBboxInputGenerator",parameters:[{name:"task",val:": str"},{name:"normalized_config",val:": NormalizedConfig"},{name:"batch_size",val:": int = 2"},{name:"sequence_length",val:": int = 16"},{name:"random_batch_size_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"random_sequence_length_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/utils/input_generators.py#L534"}}),ot=new $({props:{name:"class optimum.utils.DummyVisionInputGenerator",anchor:"optimum.utils.DummyVisionInputGenerator",parameters:[{name:"task",val:": str"},{name:"normalized_config",val:": NormalizedVisionConfig"},{name:"batch_size",val:": int = 2"},{name:"num_channels",val:": int = 3"},{name:"width",val:": int = 64"},{name:"height",val:": int = 64"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/utils/input_generators.py#L574"}}),it=new $({props:{name:"class optimum.utils.DummyAudioInputGenerator",anchor:"optimum.utils.DummyAudioInputGenerator",parameters:[{name:"task",val:": str"},{name:"normalized_config",val:": NormalizedConfig"},{name:"batch_size",val:": int = 2"},{name:"feature_size",val:": int = 80"},{name:"nb_max_frames",val:": int = 3000"},{name:"audio_sequence_length",val:": int = 16000"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/utils/input_generators.py#L628"}}),{c(){x=r("meta"),kt=a(),wt=r("p"),qt=a(),b=r("h1"),N=r("a"),It=r("span"),c(H.$$.fragment),ie=a(),mt=r("span"),mt.textContent=Pe,Nt=a(),M=r("p"),M.innerHTML=ze,Pt=a(),D=r("h2"),P=r("a"),Gt=r("span"),c(j.$$.fragment),me=a(),st=r("span"),st.textContent=Ee,zt=a(),l=r("div"),c(B.$$.fragment),se=a(),ut=r("p"),ut.textContent=Le,ue=a(),z=r("div"),c(K.$$.fragment),pe=a(),pt=r("p"),pt.textContent=Ae,le=a(),E=r("div"),c(J.$$.fragment),de=a(),lt=r("p"),lt.textContent=Ve,ce=a(),L=r("div"),c(R.$$.fragment),ge=a(),dt=r("p"),dt.innerHTML=Ue,he=a(),A=r("div"),c(F.$$.fragment),fe=a(),ct=r("p"),ct.textContent=Se,ve=a(),V=r("div"),c(Q.$$.fragment),_e=a(),gt=r("p"),gt.textContent=Oe,ye=a(),U=r("div"),c(W.$$.fragment),$e=a(),ht=r("p"),ht.textContent=He,xe=a(),S=r("div"),c(X.$$.fragment),be=a(),ft=r("p"),ft.innerHTML=Me,Et=a(),w=r("h2"),O=r("a"),Tt=r("span"),c(Y.$$.fragment),De=a(),vt=r("span"),vt.textContent=je,Lt=a(),I=r("div"),c(Z.$$.fragment),we=a(),_t=r("p"),_t.textContent=Be,At=a(),G=r("div"),c(tt.$$.fragment),Ie=a(),yt=r("p"),yt.textContent=Ke,Vt=a(),T=r("div"),c(et.$$.fragment),Ge=a(),$t=r("p"),$t.textContent=Je,Ut=a(),C=r("div"),c(nt.$$.fragment),Te=a(),xt=r("p"),xt.textContent=Re,St=a(),k=r("div"),c(rt.$$.fragment),Ce=a(),bt=r("p"),bt.textContent=Fe,Ot=a(),q=r("div"),c(ot.$$.fragment),ke=a(),Dt=r("p"),Dt.textContent=Qe,Ht=a(),at=r("div"),c(it.$$.fragment),Mt=a(),Ct=r("p"),this.h()},l(t){const m=un("svelte-1phssyn",document.head);x=o(m,"META",{name:!0,content:!0}),m.forEach(e),kt=i(t),wt=o(t,"P",{}),p(wt).forEach(e),qt=i(t),b=o(t,"H1",{class:!0});var Bt=p(b);N=o(Bt,"A",{id:!0,class:!0,href:!0});var We=p(N);It=o(We,"SPAN",{});var Xe=p(It);g(H.$$.fragment,Xe),Xe.forEach(e),We.forEach(e),ie=i(Bt),mt=o(Bt,"SPAN",{"data-svelte-h":!0}),h(mt)!=="svelte-3jrp9f"&&(mt.textContent=Pe),Bt.forEach(e),Nt=i(t),M=o(t,"P",{"data-svelte-h":!0}),h(M)!=="svelte-1hunz8l"&&(M.innerHTML=ze),Pt=i(t),D=o(t,"H2",{class:!0});var Kt=p(D);P=o(Kt,"A",{id:!0,class:!0,href:!0});var Ye=p(P);Gt=o(Ye,"SPAN",{});var Ze=p(Gt);g(j.$$.fragment,Ze),Ze.forEach(e),Ye.forEach(e),me=i(Kt),st=o(Kt,"SPAN",{"data-svelte-h":!0}),h(st)!=="svelte-1y8ql36"&&(st.textContent=Ee),Kt.forEach(e),zt=i(t),l=o(t,"DIV",{class:!0});var d=p(l);g(B.$$.fragment,d),se=i(d),ut=o(d,"P",{"data-svelte-h":!0}),h(ut)!=="svelte-157abj3"&&(ut.textContent=Le),ue=i(d),z=o(d,"DIV",{class:!0});var Jt=p(z);g(K.$$.fragment,Jt),pe=i(Jt),pt=o(Jt,"P",{"data-svelte-h":!0}),h(pt)!=="svelte-zzi3wj"&&(pt.textContent=Ae),Jt.forEach(e),le=i(d),E=o(d,"DIV",{class:!0});var Rt=p(E);g(J.$$.fragment,Rt),de=i(Rt),lt=o(Rt,"P",{"data-svelte-h":!0}),h(lt)!=="svelte-1y5j6bo"&&(lt.textContent=Ve),Rt.forEach(e),ce=i(d),L=o(d,"DIV",{class:!0});var Ft=p(L);g(R.$$.fragment,Ft),ge=i(Ft),dt=o(Ft,"P",{"data-svelte-h":!0}),h(dt)!=="svelte-1t5v7od"&&(dt.innerHTML=Ue),Ft.forEach(e),he=i(d),A=o(d,"DIV",{class:!0});var Qt=p(A);g(F.$$.fragment,Qt),fe=i(Qt),ct=o(Qt,"P",{"data-svelte-h":!0}),h(ct)!=="svelte-4ylykg"&&(ct.textContent=Se),Qt.forEach(e),ve=i(d),V=o(d,"DIV",{class:!0});var Wt=p(V);g(Q.$$.fragment,Wt),_e=i(Wt),gt=o(Wt,"P",{"data-svelte-h":!0}),h(gt)!=="svelte-1p1x6w2"&&(gt.textContent=Oe),Wt.forEach(e),ye=i(d),U=o(d,"DIV",{class:!0});var Xt=p(U);g(W.$$.fragment,Xt),$e=i(Xt),ht=o(Xt,"P",{"data-svelte-h":!0}),h(ht)!=="svelte-1xlifly"&&(ht.textContent=He),Xt.forEach(e),xe=i(d),S=o(d,"DIV",{class:!0});var Yt=p(S);g(X.$$.fragment,Yt),be=i(Yt),ft=o(Yt,"P",{"data-svelte-h":!0}),h(ft)!=="svelte-k00hs6"&&(ft.innerHTML=Me),Yt.forEach(e),d.forEach(e),Et=i(t),w=o(t,"H2",{class:!0});var Zt=p(w);O=o(Zt,"A",{id:!0,class:!0,href:!0});var tn=p(O);Tt=o(tn,"SPAN",{});var en=p(Tt);g(Y.$$.fragment,en),en.forEach(e),tn.forEach(e),De=i(Zt),vt=o(Zt,"SPAN",{"data-svelte-h":!0}),h(vt)!=="svelte-f2qdq6"&&(vt.textContent=je),Zt.forEach(e),Lt=i(t),I=o(t,"DIV",{class:!0});var te=p(I);g(Z.$$.fragment,te),we=i(te),_t=o(te,"P",{"data-svelte-h":!0}),h(_t)!=="svelte-1fjsvlm"&&(_t.textContent=Be),te.forEach(e),At=i(t),G=o(t,"DIV",{class:!0});var ee=p(G);g(tt.$$.fragment,ee),Ie=i(ee),yt=o(ee,"P",{"data-svelte-h":!0}),h(yt)!=="svelte-12xi2x2"&&(yt.textContent=Ke),ee.forEach(e),Vt=i(t),T=o(t,"DIV",{class:!0});var ne=p(T);g(et.$$.fragment,ne),Ge=i(ne),$t=o(ne,"P",{"data-svelte-h":!0}),h($t)!=="svelte-194nuou"&&($t.textContent=Je),ne.forEach(e),Ut=i(t),C=o(t,"DIV",{class:!0});var re=p(C);g(nt.$$.fragment,re),Te=i(re),xt=o(re,"P",{"data-svelte-h":!0}),h(xt)!=="svelte-1mh0vyd"&&(xt.textContent=Re),re.forEach(e),St=i(t),k=o(t,"DIV",{class:!0});var oe=p(k);g(rt.$$.fragment,oe),Ce=i(oe),bt=o(oe,"P",{"data-svelte-h":!0}),h(bt)!=="svelte-mrxph6"&&(bt.textContent=Fe),oe.forEach(e),Ot=i(t),q=o(t,"DIV",{class:!0});var ae=p(q);g(ot.$$.fragment,ae),ke=i(ae),Dt=o(ae,"P",{"data-svelte-h":!0}),h(Dt)!=="svelte-oqlyz"&&(Dt.textContent=Qe),ae.forEach(e),Ht=i(t),at=o(t,"DIV",{class:!0});var nn=p(at);g(it.$$.fragment,nn),nn.forEach(e),Mt=i(t),Ct=o(t,"P",{}),p(Ct).forEach(e),this.h()},h(){s(x,"name","hf:doc:metadata"),s(x,"content",JSON.stringify(ln)),s(N,"id","dummy-input-generators"),s(N,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(N,"href","#dummy-input-generators"),s(b,"class","relative group"),s(P,"id","optimum.utils.DummyInputGenerator"),s(P,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(P,"href","#optimum.utils.DummyInputGenerator"),s(D,"class","relative group"),s(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(l,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(O,"id","optimum.utils.DummyTextInputGenerator"),s(O,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(O,"href","#optimum.utils.DummyTextInputGenerator"),s(w,"class","relative group"),s(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),s(at,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,m){n(document.head,x),u(t,kt,m),u(t,wt,m),u(t,qt,m),u(t,b,m),n(b,N),n(N,It),f(H,It,null),n(b,ie),n(b,mt),u(t,Nt,m),u(t,M,m),u(t,Pt,m),u(t,D,m),n(D,P),n(P,Gt),f(j,Gt,null),n(D,me),n(D,st),u(t,zt,m),u(t,l,m),f(B,l,null),n(l,se),n(l,ut),n(l,ue),n(l,z),f(K,z,null),n(z,pe),n(z,pt),n(l,le),n(l,E),f(J,E,null),n(E,de),n(E,lt),n(l,ce),n(l,L),f(R,L,null),n(L,ge),n(L,dt),n(l,he),n(l,A),f(F,A,null),n(A,fe),n(A,ct),n(l,ve),n(l,V),f(Q,V,null),n(V,_e),n(V,gt),n(l,ye),n(l,U),f(W,U,null),n(U,$e),n(U,ht),n(l,xe),n(l,S),f(X,S,null),n(S,be),n(S,ft),u(t,Et,m),u(t,w,m),n(w,O),n(O,Tt),f(Y,Tt,null),n(w,De),n(w,vt),u(t,Lt,m),u(t,I,m),f(Z,I,null),n(I,we),n(I,_t),u(t,At,m),u(t,G,m),f(tt,G,null),n(G,Ie),n(G,yt),u(t,Vt,m),u(t,T,m),f(et,T,null),n(T,Ge),n(T,$t),u(t,Ut,m),u(t,C,m),f(nt,C,null),n(C,Te),n(C,xt),u(t,St,m),u(t,k,m),f(rt,k,null),n(k,Ce),n(k,bt),u(t,Ot,m),u(t,q,m),f(ot,q,null),n(q,ke),n(q,Dt),u(t,Ht,m),u(t,at,m),f(it,at,null),u(t,Mt,m),u(t,Ct,m),jt=!0},p:on,i(t){jt||(v(H.$$.fragment,t),v(j.$$.fragment,t),v(B.$$.fragment,t),v(K.$$.fragment,t),v(J.$$.fragment,t),v(R.$$.fragment,t),v(F.$$.fragment,t),v(Q.$$.fragment,t),v(W.$$.fragment,t),v(X.$$.fragment,t),v(Y.$$.fragment,t),v(Z.$$.fragment,t),v(tt.$$.fragment,t),v(et.$$.fragment,t),v(nt.$$.fragment,t),v(rt.$$.fragment,t),v(ot.$$.fragment,t),v(it.$$.fragment,t),jt=!0)},o(t){_(H.$$.fragment,t),_(j.$$.fragment,t),_(B.$$.fragment,t),_(K.$$.fragment,t),_(J.$$.fragment,t),_(R.$$.fragment,t),_(F.$$.fragment,t),_(Q.$$.fragment,t),_(W.$$.fragment,t),_(X.$$.fragment,t),_(Y.$$.fragment,t),_(Z.$$.fragment,t),_(tt.$$.fragment,t),_(et.$$.fragment,t),_(nt.$$.fragment,t),_(rt.$$.fragment,t),_(ot.$$.fragment,t),_(it.$$.fragment,t),jt=!1},d(t){t&&(e(kt),e(wt),e(qt),e(b),e(Nt),e(M),e(Pt),e(D),e(zt),e(l),e(Et),e(w),e(Lt),e(I),e(At),e(G),e(Vt),e(T),e(Ut),e(C),e(St),e(k),e(Ot),e(q),e(Ht),e(at),e(Mt),e(Ct)),e(x),y(H),y(j),y(B),y(K),y(J),y(R),y(F),y(Q),y(W),y(X),y(Y),y(Z),y(tt),y(et),y(nt),y(rt),y(ot),y(it)}}}const ln={local:"dummy-input-generators",sections:[{local:"optimum.utils.DummyInputGenerator",title:"Base class"},{local:"optimum.utils.DummyTextInputGenerator",title:"Existing dummy input generators"}],title:"Dummy Input Generators"};function dn(Ne){return an(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class vn extends mn{constructor(x){super(),sn(this,x,dn,pn,rn,{})}}export{vn as component};
